Bug 221396 - parted mklabel msdos broken
parted mklabel msdos broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 09:09 EST by Tammo Spalink
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 17:27:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tammo Spalink 2007-01-04 09:09:53 EST
Description of problem:

> bash-3.1# dd if=/dev/zero of=/dev/sda count=1
> 1+0 records in
> 1+0 records out
> bash-3.1# parted -s /dev/sda mklabel msdos
> You found a bug in GNU Parted! Here's what you have to do:
... [omitted] ...

Other invocations work fine, it looks like only labeling might be broken.

Version-Release number of selected component (if applicable):

1.8.1-1.fc6

NOTE -- this bug was NOT present in 1.7.1-17.fc6

How reproducible:

Consistently...

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Callum Lerwick 2007-02-04 09:53:57 EST
"Me too!"

On a freshly zeroed out drive:

$ /sbin/parted /dev/hdc
WARNING: You are not superuser.  Watch out for permissions.
GNU Parted 1.8.1
Using /dev/hdc
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) mklabel                                                          


You found a bug in GNU Parted! Here's what you have to do:

Don't panic! The bug has most likely not affected any of your data.
Help us to fix this bug by doing the following:

Check whether the bug has already been fixed by checking
the last version of GNU Parted that you can find at:

        http://ftp.gnu.org/gnu/parted/

Please check this version prior to bug reporting.

If this has not been fixed yet or if you don't know how to check,
please visit the GNU Parted website:

        http://www.gnu.org/software/parted

for further information.

Your report should contain the version of this release (1.8.1)
along with the error message below, the output of

        parted DEVICE unit co print unit s print

and additional information about your setup you consider important.

Error: SEGV_MAPERR (Address not mapped to object)Aborted

$ /sbin/parted /dev/hdc unit co print unit s print
WARNING: You are not superuser.  Watch out for permissions.
Error: Unable to open /dev/hdc - unrecognised disk label.                 
Information: Don't forget to update /etc/fstab, if necessary.



It does not matter if I run it as root or not (I chowned the device to
partition/format as an unprivleged user, I've blown away the wrong
drive/partition two too many times...) and it does not seem to matter what
arguments I give to mklabel, if any.

Workaround is to use good old fdisk to make a new DOS partition header.
Comment 2 David Cantrell 2007-08-15 17:27:24 EDT
This is working in rawhide now (parted-1.8.6-7.fc8).

Note You need to log in before you can comment on or make changes to this bug.